### Method

# Gio SimpleAsyncResult set_error

deprecated: 2.46

#### Declaration

    void
    g_simple_async_result_set_error (
      GSimpleAsyncResult* simple,
      GQuark domain,
      gint code,
      const char* format,
      ...
    )

#### Description

Sets an error within the asynchronous result without a `GError`.

Deprecated since: 2.46

Use `GTask` and `g_task_return_new_error()` instead.

This method is not directly available to language bindings.

#### Parameters

`domain`

  Type: `GQuark`

  A `GQuark` (usually `G_IO_ERROR`).

`code`

  Type: `gint`

  An error code.

`format`

  Type: `const char*`

  A formatted error reporting string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  A list of variables to fill in `format`.